GroebnerStrategy.cc File Reference
`#include <polybori/groebner/HasTRepOrExtendedProductCriterion.h>`
`#include <polybori/groebner/ShorterEliminationLengthModified.h>`
`#include <polybori/groebner/tables.h>`
`#include <polybori/groebner/ExpGreater.h>`
`#include <polybori/groebner/ChainCriterion.h>`
`#include <polybori/groebner/minimal_elements.h>`
`#include <polybori/groebner/groebner_alg.h>`
`#include <polybori/groebner/nf.h>`
`#include <polybori/groebner/interpolate.h>`
`#include <polybori/groebner/red_tail.h>`
`#include <polybori/groebner/ll_red_nf.h>`
`#include <polybori/groebner/add_up.h>`
`#include <polybori/groebner/fixed_path_divisors.h>`
`#include <polybori/groebner/linear_algebra_step.h>`
`#include <polybori/groebner/GroebnerStrategy.h>`
`#include <polybori/groebner/RelatedTerms.h>`
`#include <polybori/groebner/PolyFromPolyEntry.h>`
`#include <polybori/groebner/TimesConstantImplication.h>`
`#include <polybori/groebner/TimesVariableSubstitution.h>`
`#include <polybori/groebner/IsVariableOfIndex.h>`
`#include <polybori/groebner/RedTailNth.h>`
`#include <polybori/groebner/GetNthPoly.h>`
`#include <polybori/groebner/RankingVector.h>`
`#include <sstream>`

## Namespaces

| polybori
| polybori::groebner

## Functions

Polynomial | polybori::groebner::reduce_by_small_entry (const Polynomial &poly, const PolyEntry &entry)
int | polybori::groebner::steps (int size)

## Detailed Description

Author
  Michael Brickenstein

Date
  2011-06-30

This file includes the definition of the class `GroebnerStrategy`.

Copyright:
  (c) 2006-2010 by The PolyBoRi Team